xcb_test_fake_input(3)

NAME
xcb_test_fake_input -

SYNOPSIS
#include <xcb/xtest.h>

  Request function

xcb_void_cookie_t xcb_test_fake_input(xcb_connection_t *conn, uint8_t type, uint8_t detail, uint32_t time, xcb_window_t root, int16_t rootX, int16_t rootY, uint8_t deviceid);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

type
    TODO: NOT YET DOCUMENTED.

detail
    TODO: NOT YET DOCUMENTED.

time
    TODO: NOT YET DOCUMENTED.

root
    TODO: NOT YET DOCUMENTED.

rootX
    TODO: NOT YET DOCUMENTED.

rootY
    TODO: NOT YET DOCUMENTED.

deviceid
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_test_fake_input_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xtest.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.